> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction counts by address

> Return transaction counts grouped by address for a network during a requested time range.



## OpenAPI

````yaml api-reference/data-api.json get /v1/network/txn-count-by-address
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/txn-count-by-address:
    get:
      tags:
        - Network Information
      summary: Get transaction count by address
      description: >-
        Returns a transaction count for given time range and network grouped by
        address.
      operationId: getTxCountByAddress
      parameters:
        - name: network
          required: true
          in: query
          description: Network
          schema:
            type: string
            example: ethereum
        - name: startTime
          required: true
          in: query
          description: Start time
          schema:
            type: string
            example: '2024-01-01T00:00:00.000Z'
        - name: endTime
          required: true
          in: query
          description: End time
          schema:
            example: '2024-01-31T23:59:59.999Z'
            type: string
        - name: limit
          required: true
          in: query
          description: Limit
          schema:
            example: 10
            type: string
      responses:
        '200':
          description: Networks with their respective number of transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxCounts'
components:
  schemas:
    TxCounts:
      type: object
      properties: {}
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.